Skip to main content
GET
/
courses
/
{courseId}
/
scope-and-sequence
Scope and sequence for a course
curl --request GET \
  --url https://api.learningcommons.org/knowledge-graph/v0/courses/{courseId}/scope-and-sequence \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.learningcommons.org/knowledge-graph/v0/courses/{courseId}/scope-and-sequence"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.learningcommons.org/knowledge-graph/v0/courses/{courseId}/scope-and-sequence', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "courseId": "im:b532b7df-4989-53a2-8f53-8dd829343423",
  "courseName": "Geometry",
  "view": "summary",
  "lessonGroupings": [
    {
      "identifier": "im:87b50a26-acbf-5798-ac94-ca1423679acd",
      "name": "Constructions and Rigid Transformations",
      "ordinalName": "Unit 1",
      "groupName": "unit",
      "groupLevel": 0,
      "position": 0,
      "lessons": null,
      "children": [
        {
          "identifier": "im:section-a-001",
          "name": "Constructions",
          "ordinalName": "Section A",
          "groupName": "section",
          "groupLevel": 1,
          "position": 0,
          "children": null,
          "lessons": [
            {
              "identifier": "im:lesson-001",
              "name": "Build It",
              "ordinalName": "Lesson 1",
              "position": 0
            },
            {
              "identifier": "im:lesson-002",
              "name": "Constructing Patterns",
              "ordinalName": "Lesson 2",
              "position": 1
            }
          ]
        },
        {
          "identifier": "im:section-b-001",
          "name": "Defining Rigid Transformations",
          "ordinalName": "Section B",
          "groupName": "section",
          "groupLevel": 1,
          "position": 1,
          "children": null,
          "lessons": [
            {
              "identifier": "im:lesson-006",
              "name": "Transformation Times",
              "ordinalName": "Lesson 6",
              "position": 0
            }
          ]
        }
      ]
    },
    {
      "identifier": "im:9cc92808-016e-5b7b-865f-dab6764cb504",
      "name": "Congruence",
      "ordinalName": "Unit 2",
      "groupName": "unit",
      "groupLevel": 0,
      "position": 1,
      "lessons": null,
      "children": [
        {
          "identifier": "im:section-a-002",
          "name": "Congruent Parts, Congruent Figures",
          "ordinalName": "Section A",
          "groupName": "section",
          "groupLevel": 1,
          "position": 0,
          "children": null,
          "lessons": [
            {
              "identifier": "im:lesson-008",
              "name": "Moving Through Transformations",
              "ordinalName": "Lesson 8",
              "position": 0
            }
          ]
        }
      ]
    }
  ]
}
{
"error": "ValidationError",
"message": "Invalid query parameter value provided",
"requestId": "req_12345"
}
{
"error": "NotFoundError",
"message": "Course with identifier 'im:invalid-id' not found",
"requestId": "req_12345"
}
{
"error": "ValidationError",
"message": "Input should be 'summary' or 'full'",
"requestId": "req_12345"
}
{
"error": "InternalServerError",
"message": "An unexpected error occurred while retrieving course scope and sequence",
"requestId": "req_12345"
}

Authorizations

x-api-key
string
header
required

API key for authentication. Include your API key in the x-api-key header for all requests.

Path Parameters

courseId
string
required

The unique identifier of the course

Query Parameters

view
enum<string>
default:summary

Controls the level of detail in the response.

  • summary: Returns only identifiers, names, and positions (lightweight)
  • full: Returns complete objects with all properties (heavyweight)
Available options:
summary,
full

Response

Successfully retrieved course scope and sequence

Hierarchical structure of a course showing lesson groupings and lessons (summary view with minimal fields)

courseId
string
required

The unique identifier of the course

courseName
string
required

The name of the course

view
enum<string>
required

The level of detail included in the response

Available options:
summary
lessonGroupings
object[]
required

Top-level lesson groupings (e.g., units, modules, chapters) in the course